'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var serialize = require('serialize-javascript');
var utilities = require('../../utilities.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);
var serialize__default = /*#__PURE__*/_interopDefaultLegacy(serialize);

function Serialize({
  id,
  data
}) {
  return /*#__PURE__*/React__default["default"].createElement("script", {
    type: "text/json",
    dangerouslySetInnerHTML: {
      __html: serialize__default["default"](data, {
        isJSON: true
      })
    },
    [utilities.SERIALIZE_ATTRIBUTE]: id
  });
}

exports["default"] = Serialize;
