'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var stream$1 = require('stream');
var server = require('react-dom/server');
var multistream = require('multistream');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var multistream__default = /*#__PURE__*/_interopDefaultLegacy(multistream);

function stream(tree) {
  const doctype = new stream$1.Readable();
  doctype.push('<!DOCTYPE html>');
  doctype.push(null);
  return multistream__default["default"]([doctype, server.renderToStaticNodeStream(tree)]);
}

exports["default"] = stream;
