import { Readable } from 'stream';
import { renderToStaticNodeStream } from 'react-dom/server';
import multistream from 'multistream';

function stream(tree) {
  const doctype = new Readable();
  doctype.push('<!DOCTYPE html>');
  doctype.push(null);
  return multistream([doctype, renderToStaticNodeStream(tree)]);
}

export { stream as default };
