/// <reference types="react" />
import type { HtmlManager } from './manager';
export declare function useDomEffect(perform: (manager: HtmlManager) => () => void, inputs?: unknown[]): void;
export declare function useTitle(title: string): void;
export declare function useLink(link: React.HTMLProps<HTMLLinkElement>): void;
export declare function useInlineStyle(inlineStyle: React.HTMLProps<HTMLStyleElement>): void;
export declare function useMeta(meta: React.HTMLProps<HTMLMetaElement>): void;
export declare function usePreconnect(source: string): void;
export declare function useFavicon(source: string): void;
export declare function useLocale(locale: string): void;
export declare function useHtmlAttributes(htmlAttributes: Parameters<HtmlManager['addHtmlAttributes']>[0]): void;
export declare function useBodyAttributes(bodyAttributes: Parameters<HtmlManager['addBodyAttributes']>[0]): void;
export declare function useClientDomEffect(perform: (manager: HtmlManager) => () => void, inputs?: unknown[]): void;
export declare function useServerDomEffect(perform: (manager: HtmlManager) => () => void): void;
//# sourceMappingURL=hooks.d.ts.map