'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

function Script(props) {
  const {
    type,
    defer,
    ...otherProps
  } = props;
  const isNoModule = type === 'nomodule';
  const attributes = {
    ...otherProps,
    type: isNoModule ? 'text/javascript' : type,
    defer: type === 'module' ? undefined : defer,
    noModule: isNoModule ? true : undefined
  };
  return /*#__PURE__*/React__default["default"].createElement("script", attributes);
}

exports.Script = Script;
